# Class: StaticSource

## LocusZoom_Adapters~StaticSource()

Retrieve static blobs of data as raw JS objects. This does not perform additional parsing, which is required for some sources (eg it does not know how to join together LD and association data).

Therefore it is the responsibility of the user to pass information in a format that can be read and understood by the chosen plot- a StaticJSON source is rarely a drop-in replacement for existing layouts.

This source is largely here for legacy reasons. More often, a convenient way to serve static data is as separate JSON files to an existing source (with the JSON url in place of an API).

Note: The name is a bit misleading. It receives JS objects, not strings serialized as "json".

## Constructor

#### new StaticSource()

##### Parameters:

Name | Type | Description
--- | --- | ---
`config.data` | object | The data to be returned by this source (subject to namespacing rules)

Source:
  - data/adapters.js, line 677
See:
  - module:LocusZoom_Adapters~BaseLZAdapter